Package org.globus.ftp.dc

# Class AsciiTranslator

java.lang.Object
org.globus.ftp.dc.AsciiTranslator

public class AsciiTranslator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte[]`
`CRLF`
`protected byte[]`
`lineSep`
`protected boolean`
`nSep`
`protected boolean`
`possibleBreak`
`protected boolean`
`rnSep`
`protected static final byte[]`
`systemLineSep`

## Constructor Summary

Constructors
Constructor
Description
`AsciiTranslator(boolean rnSep, boolean nSep)`
Output tokens with system specific line separators
`AsciiTranslator(boolean rnSep, boolean nSep, byte[] lineSeparator)`

## Method Summary

Modifier and Type
Method
Description
`Buffer`
`translate(Buffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CRLF

public static final byte[] CRLF

### possibleBreak

protected boolean possibleBreak

### rnSep

protected boolean rnSep

### nSep

protected boolean nSep

### lineSep

protected byte[] lineSep

### systemLineSep

protected static final byte[] systemLineSep

## Constructor Details

### AsciiTranslator

public AsciiTranslator(boolean rnSep, boolean nSep)
Output tokens with system specific line separators

### AsciiTranslator

public AsciiTranslator(boolean rnSep, boolean nSep, byte[] lineSeparator)

## Method Details

### translate

public Buffer translate(Buffer buffer)